searchNodes=[{"doc":"Top-Level Domain module for BEAM.Lets you get the current list of TLDs, as well as find the TLD in a domain name.","ref":"Tld.html","title":"Tld","type":"module"},{"doc":"Get list of all Top-Level Domains.Examplesiex&gt; list = Tld.get_list() iex&gt; Enum.member?(list, &quot;NET&quot;) true iex&gt; Enum.member?(list, &quot;TEST&quot;) false","ref":"Tld.html#get_list/0","title":"Tld.get_list/0","type":"function"},{"doc":"If input string contains a domain name, get its TLD.Returns {:ok, &quot;COM&quot;} if found (COM being replaced with the actual TLD found), {:err, :not_found} if TLD was not found in string, and {:err, :invalid_input} if not given a string.Examplesiex&gt; Tld.get_tld_from_domain_name(&quot;contoso.com&quot;) {:ok, &quot;COM&quot;} iex&gt; Tld.get_tld_from_domain_name(&quot;FACE.BORG.TEST&quot;) {:err, :not_found} iex&gt; Tld.get_tld_from_domain_name(&quot;CORRUPT.GOV&quot;) {:ok, &quot;GOV&quot;} iex&gt; Tld.get_tld_from_domain_name(&#39;NOTASTRING.NET&#39;) {:err, :invalid_input} iex&gt; Tld.get_tld_from_domain_name(42) {:err, :invalid_input} iex&gt; Tld.get_tld_from_domain_name(nil) {:err, :invalid_input}","ref":"Tld.html#get_tld_from_domain_name/1","title":"Tld.get_tld_from_domain_name/1","type":"function"},{"doc":"Logic for handling and parsing domain names with respect to Top-Level Domains.","ref":"Tld.DomainName.html","title":"Tld.DomainName","type":"module"},{"doc":"Match TLD in given domain name to given list of TLDs.","ref":"Tld.DomainName.html#match_tld/2","title":"Tld.DomainName.match_tld/2","type":"function"},{"doc":"Simple TLD list client, using the BEAM’s built-in :httpc library.","ref":"Tld.HttpcListClient.html","title":"Tld.HttpcListClient","type":"module"},{"doc":"Fetch URL with :httpc.","ref":"Tld.HttpcListClient.html#fetch/1","title":"Tld.HttpcListClient.fetch/1","type":"function"},{"doc":"Parser for IANA’s Top-Level Domain list.","ref":"Tld.IanaListParser.html","title":"Tld.IanaListParser","type":"module"},{"doc":"Parse the body content of the TLD list.","ref":"Tld.IanaListParser.html#parse/1","title":"Tld.IanaListParser.parse/1","type":"function"},{"doc":"Parse the first line of the IANA TLD file, extracting the version number.","ref":"Tld.IanaListParser.html#parse_version/1","title":"Tld.IanaListParser.parse_version/1","type":"function"},{"doc":"GenServer to manage TLD list state.","ref":"Tld.ListServer.html","title":"Tld.ListServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Tld.ListServer.html#child_spec/1","title":"Tld.ListServer.child_spec/1","type":"function"},{"doc":"Get TLD list from Tld.ListServer state.","ref":"Tld.ListServer.html#get_list/0","title":"Tld.ListServer.get_list/0","type":"function"},{"doc":"Standard start_link/1 function to start Tld.ListServer as part of an Application’s Supervisor tree.","ref":"Tld.ListServer.html#start_link/1","title":"Tld.ListServer.start_link/1","type":"function"}]